|  | input.h File Reference updated Sat Oct 7 2023 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Variables
input.h File Reference

RE/flex input character sequence class. More...

`#include <reflex/utf8.h>`
`#include <cstdio>`
`#include <cstring>`
`#include <iostream>`
`#include <string>`
`#include <stdint.h>`
Include dependency graph for input.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | reflex::Input
| Input character sequence class for unified access to sources of input text. More...
struct | reflex::Input::file_encoding
| Common file_encoding constants. More...
struct | reflex::Input::Handler
| FILE* handler functor base class to handle FILE* errors and non-blocking FILE* reads. More...
class | reflex::Input::streambuf
| Stream buffer for reflex::Input, derived from std::streambuf. More...
class | reflex::Input::dos_streambuf
| Stream buffer for reflex::Input to read DOS files, replaces CRLF by LF, derived from std::streambuf. More...
class | reflex::BufferedInput
| Buffered input. More...
class | reflex::BufferedInput::streambuf
| Buffered stream buffer for reflex::Input, derived from std::streambuf. More...
class | reflex::BufferedInput::dos_streambuf
| Buffered stream buffer for reflex::Input to read DOS files, replaces CRLF by LF, derived from std::streambuf. More...

## Namespaces

| reflex

## Variables

const unsigned short | reflex::codepages [][256]

## Detailed Description

RE/flex input character sequence class.

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2020, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt